package com.magistr.app.dto;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserResponse {

    private Long id;
    private String username;
    private String role;
    private String fullName;
    private String jobTitle;
    private String departmentName;
    private Long departmentId;
    private String status;

    public UserResponse() {
    }

    public UserResponse(Long id, String username, String role, String fullName, String jobTitle, String departmentName) {
        this.id = id;
        this.username = username;
        this.role = role;
        this.fullName = fullName;
        this.jobTitle = jobTitle;
        this.departmentName = departmentName;
    }

    public UserResponse(Long id, String username, String role, String fullName, String jobTitle, Long departmentId) {
        this.id = id;
        this.username = username;
        this.role = role;
        this.fullName = fullName;
        this.jobTitle = jobTitle;
        this.departmentId = departmentId;
    }

    public UserResponse(Long id, String role, String fullName, String jobTitle, Long departmentId) {
        this.id = id;
        this.role = role;
        this.fullName = fullName;
        this.jobTitle = jobTitle;
        this.departmentId = departmentId;
    }

    public Long getId() {
        return id;
    }

    public String getUsername() {
        return username;
    }

    public String getRole() {
        return role;
    }

    public String getFullName() {
        return fullName;
    }

    public String getJobTitle() {
        return jobTitle;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
